Subject: bug#17982: closed (Re: bug#17982: 24.3.92; extra pixel line at scroll bar's right)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 06 Jul 2015 11:06:03 +0000

Your bug report

#17982: 24.3.92; extra pixel line at scroll bar's right

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17982: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17982
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17982: 24.3.92; extra pixel line at scroll bar's right
From: martin rudalics <[email-masked]>
To: [email-masked], [email-masked]
Date: Mon, 06 Jul 2015 13:05:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.5

> When I enable the toolkit (in this case, gtk3) scroll bar, there is an
> extra pixel line at scroll bar's right. With dark backgrounds, this
> problem is more obvious. I've uploaded an image here,
> http://i.imgur.com/vfThig4.jpg, as you can see, the scroll bar's
> backgound is bright, and there is an extra dark line at it's right. This
> line is absolutely of no use and in my opinion, it's very ugly.
>
> In GNU Emacs 24.3.92.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.8)
>   of 2014-07-10 on gentoo
> Windowing system distributor `The X.Org Foundation', version 11.0.11500000
> System Description:	NAME=Gentoo

This should have been fixed with this commit

2015-03-29  Martin Rudalics  <[email-masked]>

	* gtkutil.c (update_theme_scrollbar_width): Don't round up
	scroll bar width with GTK3 (Bug#20182).

Closing this bug.

Thanks, martin

Subject: 24.3.92; extra pixel line at scroll bar's right
From: [email-masked]
To: [email-masked]
Date: Thu, 10 Jul 2014 09:19:28 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

When I enable the toolkit (in this case, gtk3) scroll bar, there is an
extra pixel line at scroll bar's right. With dark backgrounds, this
problem is more obvious. I've uploaded an image here,
http://i.imgur.com/vfThig4.jpg, as you can see, the scroll bar's
backgound is bright, and there is an extra dark line at it's right. This
line is absolutely of no use and in my opinion, it's very ugly.

In GNU Emacs 24.3.92.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.8)
 of 2014-07-10 on gentoo
Windowing system distributor `The X.Org Foundation', version 11.0.11500000
System Description:	NAME=Gentoo

Important settings:
  value of $LC_COLLATE: C
  value of $LC_CTYPE: zh_CN.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=fcitx
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  delete-selection-mode: t
  show-paren-mode: t
  electric-pair-mode: t
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
M-x l o a d C-g M-x s c <return> M-x l o a d <return> 
<tab> t a n <tab> - d a <tab> <return> M-x d i s a 
<tab> <return> <tab> <return> C-x 2 C-x 1 M-x C-s <return> 
t a n <tab> - d a r <tab> <return> M-x m e <backspace> 
<backspace> e m a c s - r e <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> <backspace> 
<backspace> b u g <backspace> <backspace> <backspace> 
r e p o r t <return> E x t r a SPC p i c e <backspace> 
<backspace> x e l SPC l i n e SPC a t SPC s c r o l 
l SPC b a r ' s SPC r i g h t C-x 3 C-g C-x 3 C-x 1 
M-x <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Quit
Scroll-Bar mode enabled
Making completion list... [2 times]
byte-code: Attempt to split minibuffer window
Quit [2 times]

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message format-spec rfc822 mml mml-sec
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mail-utils
tango-dark-theme help-mode easymenu smex go-mode cl-macs edmacro kmacro
derived url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util mailcap find-file ffap thingatpt
url-parse auth-source eieio byte-opt bytecomp byte-compile cconv
eieio-core gnus-util mm-util help-fns mail-prsvr password-cache url-vars
etags ring cl gv cl-loaddefs cl-lib ido delsel paren elec-pair
markdown-mode-autoloads smex-autoloads package time-date china-util
tooltip electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
x-win x-dnd tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer nadvice loaddefs button faces cus-face macroexp
files text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 16 147734 11720)
 (symbols 48 23293 0)
 (miscs 40 47 130)
 (strings 32 30410 11502)
 (string-bytes 1 772514)
 (vectors 16 16297)
 (vector-slots 8 505176 3607)
 (floats 8 84 261)
 (intervals 56 221 0)
 (buffers 960 12)
 (heap 1024 25390 1139))